HierarchyControllerGetNextMember Method

POST /Hierarchy/NextMember/{id} Gets the next hierarchy level member sibling.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("NextMember")]
public IActionResult GetNextMember(
	Guid id,
	[FromBodyAttribute] GetHierarchyMemberOptions getMemberOptions,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
ID of the hierarchy or its parent entity.
getMemberOptions
Type: Dundas.BI.WebApi.ModelsGetHierarchyMemberOptions
The options to get the member.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A HierarchyMemberData object containing the member, or a status code indicating the problem.
See Also